Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

id of the payment intent

Response

default - application/json

Created payment intent

id
string
required

id of the payment intent

account_id
string
required

Account which will receive payment

amount
number
required

Transaction amount. Values must be passed in the base units of their currency. For example, $10.50 should be provided as 1050.

tip_amount
number
required

The amount of tips to be added to the payment intent

vat_amount
number
required

VAT amount in the presentment currency. Values are in the base units of their currency. For example, 0.50 AED is provided as 50. Zero when VAT is not applied.

settled
object
required

Amounts in the merchant wallet currency. For AED and other same-currency payments these match the presentment fields. After FX conversion they are the AED amount, tip, and VAT.

currency_code
string
required

Currency code of the amount to charge. This should be a 3-letter ISO-4217 currency code. For example, if you wish to charge 10 AED, you should pass AED. For more information on supported currencies, please visit the supported currencies page

created_at
string
required

Unix timestamp in milliseconds

status
enum<string>
required

Status of the transaction. You can find more details here

Available options:
requires_payment_instrument,
requires_user_action,
pending,
completed,
failed,
canceled
operation_id
string
required

Unique client generated UUID. In case of retries provide the same operation_id

fee_amount
number

The amount of fees paid for this payment intent

message
string

A message to be displayed to the user on the hosted payment page

redirect_url
string

The URL to be used to redirect the client to the hosted payment page

embedded_url
string

The URL to be used to show embedded payment page with the payment widget

success_url
string

The URL to be called by the hosted web page when the payment is successful

cancel_url
string

The URL to be called by the hosted web page when the payment is cancelled

latest_error
object

An error that was encountered while processing the payment intent

allow_tips
boolean
default:false

Whether tips are allowed for this payment intent